package com.gic.haoban.manage.web.qo;

import com.gic.commons.web.qo.PageQo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created 2021/12/16.
 *
 * @author hua
 */
public class PendingListQO extends PageQo implements Serializable {
    /**
     * 企业id
     */
    @NotNull(message = "企业id不为空")
    private String enterpriseId;
    /**
     * 门店id
     */
    @NotNull(message = "门店id不为空")
    private String storeId;
    /**
     * 导购id
     */
    @NotNull(message = "导购id不为空")
    private String clerkId;
    /**
     * 过滤状态 0未完成 1已逾期
     */
    private Integer filterStatus = 0;
    /**
     * 任务类型 0-月指标 1-ecm话务任务 ,3群发任务  4活动
     */
    private Integer taskType = -1;
    /**
     * 是否只看自己的 0否 1是
     */
    private Integer showSelf = 1;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public Integer getFilterStatus() {
        return filterStatus;
    }

    public void setFilterStatus(Integer filterStatus) {
        this.filterStatus = filterStatus;
    }

    public Integer getTaskType() {
        return taskType;
    }

    public void setTaskType(Integer taskType) {
        this.taskType = taskType;
    }

    public Integer getShowSelf() {
        return showSelf;
    }

    public void setShowSelf(Integer showSelf) {
        this.showSelf = showSelf;
    }
}
